Bug 830372 - F17 Pre-upgrade installation of kernel/grub fails quietly on FakeRAID installation
F17 Pre-upgrade installation of kernel/grub fails quietly on FakeRAID install...
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
: 830376 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-06-08 22:29 EDT by Khairil Yusof
Modified: 2014-01-21 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 03:57:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Khairil Yusof 2012-06-08 22:29:31 EDT
Description of problem:

pre-upgrade from f16-f17 fails for fakeraid device
in addition no warning is presented to the user that the process fails. Dialog advices users to upgrade as if the process completed without errors.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. run pre-upgrade on setup installed with   

Actual results:

Dialog says ready to upgrade along with reboot button.
However the final step of installing/updating grup did not compete. User reboots with no options to upgrade.

Expected results:

F17 kernel installed along with Upgrade go F17 upgrade option on reboot.

Additional info:

[kaeru@spidey ~]$ sudo preupgrade
[sudo] password for kaeru: 
Loaded plugins: blacklist, langpacks, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-17&arch=x86_64
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/17/Fedora/$basearch/os/
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/17/Fedora/x86_64/os/
preupgrade-adobe-linux-x86_64 (baseurl) 
  url: http://linuxdownload.adobe.com/linux/x86_64/
  now: http://linuxdownload.adobe.com/linux/x86_64/
unknown metadata being downloaded: repomdaWYVEqtmp.xml
preupgrade-fedora (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=fedora-17&arch=x86_64
  now: https://mirrors.fedoraproject.org/metalink?repo=fedora-17&arch=x86_64
unknown metadata being downloaded: metalink.xml.tmp
preupgrade-google-chrome (baseurl) 
  url: http://dl.google.com/linux/chrome/rpm/stable/x86_64
  now: http://dl.google.com/linux/chrome/rpm/stable/x86_64
unknown metadata being downloaded: repomdIzNfBatmp.xml
preupgrade-rpmfusion-free (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-17&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-17&arch=x86_64
unknown metadata being downloaded: repomdS7H7dKtmp.xml
preupgrade-rpmfusion-free-updates (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-17&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-17&arch=x86_64
unknown metadata being downloaded: repomdqhT5Aetmp.xml
preupgrade-rpmfusion-nonfree (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-17&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-17&arch=x86_64
unknown metadata being downloaded: repomdGuadjGtmp.xml
preupgrade-rpmfusion-nonfree-updates (mirrorlist) 
  url: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-updates-released-17&arch=x86_64
  now: http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-updates-released-17&arch=x86_64
unknown metadata being downloaded: repomdUwJsuEtmp.xml
preupgrade-updates (mirrorlist) 
  url: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f17&arch=x86_64
  now: https://mirrors.fedoraproject.org/metalink?repo=updates-released-f17&arch=x86_64
unknown metadata being downloaded: metalink.xml.tmp
unknown metadata being downloaded: repomd5oQzODtmp.xml
unknown metadata being downloaded: MEMORY
Fetched treeinfo from http://ftp.sjtu.edu.cn/fedora/linux/releases/17/Fedora/x86_64/os//.treeinfo
treeinfo timestamp: Wed May 23 04:55:30 2012
/boot/upgrade/vmlinuz checksum OK
/boot/upgrade/initrd.img checksum OK
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in on_assistant_apply
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 497, in main_preupgrade
    extra_args += " ks=%s" % self.pu.generate_kickstart()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 607, in generate_kickstart
    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
  File "/usr/lib/python2.7/site-packages/preupgrade/dev.py", line 91, in bootpath_to_anacondapath
    raise PUError, "/boot is on RAID device %s" % bootdev
preupgrade.error.PUError: /boot is on RAID device dm-2
Comment 1 Panu Matilainen 2013-05-17 08:49:32 EDT
*** Bug 830376 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2013-07-03 22:17:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 03:57:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.